Description: Look for md device in /dev/md
Author: Martin Mares <mj@ucw.cz>
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=958060
Forwarded: no
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
diff -ruN mdadm-4.1.orig/Monitor.c mdadm-4.1/Monitor.c
--- mdadm-4.1.orig/Monitor.c	2018-10-01 20:26:06.000000000 +0200
+++ mdadm-4.1/Monitor.c	2020-04-18 00:08:26.342858997 +0200
@@ -176,7 +176,7 @@
 				st->devname = xstrdup(mdlist->devname);
 			else {
 				st->devname = xmalloc(8+strlen(mdlist->devname)+1);
-				strcpy(strcpy(st->devname, "/dev/md/"),
+				strcat(strcpy(st->devname, "/dev/md/"),
 				       mdlist->devname);
 			}
 			st->next = statelist;
